# Preprocessor symbols for Android applications
`manifold-preprocessor-android-syms`

## Overview

Use `manifold-preprocessor-android-syms` to automatically map Android Studio build variant information as preprocessor
symbols. The mapped variant information is taken from `BuildConfig.java` files generated by Android Studio. You can
reference the static constants directly as preprocessor symbols.

Note, in keeping with preprocessor definitions behavior, a `boolean` BuildConfig constant does not have a "true" or
"false" string value. Instead, if the constant is true, it is defined with an empty string, otherwise if it is false it
is not defined at all.  As such, we can use the `BuildConfig#DEBUG` constant directly like this:
```java
#if DEBUG
  public void foo() {
  . . .
  }
#endif
```
You can use other symbols from BuildConfig too, such `FLAVOR`:
```java
#if FLAVOR == "admin"
  public void reset() {
  . . .
  }
#endif
```

## Usage

This library (`manifold-preprocessor-android-syms`) must be used with `manifold-preprocessor`. Both should be either
*compileOnly* or *annotationProcessor* dependencies.

# Android Studio support

When you change the Build Variant within Android Studio, the preprocessor editor highlighting automatically reflects the
changes.
